ru.bitel.bgbilling.kernel.contract.balance.common.bean

## Class Charge

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean
    - - ru.bitel.bgbilling.kernel.contract.balance.common.bean.Charge

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Idable
  Direct Known Subclasses:
    Charge

      public class Charge
      extends AbstractBalanceBean
      implements java.io.Serializable, java.lang.Cloneable

  Расход договора.

  Для получения типа (ChargeType) использовать справочник типов, там содержится (покрайней мери пока) название и значение редактируемости.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Charge()`
    `Charge(int id, int userId, int contractId, int typeId, java.util.Date date, java.lang.String comment, java.math.BigDecimal sum, java.util.Date timeChange)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charge` | `clone()`
    `boolean` | `isPayback()`
    `void` | `setChargeDate(java.util.Date date)` Deprecated.
    `void` | `setPayback(boolean payback)` Установка, является ли данный расход возвратом.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean

      `getComment, getContractId, getDate, getSum, getSumma, getTimeChange, getTypeId, getUserId, setComment, setContractId, setDate, setSum, setSumma, setTimeChange, setTypeId, setUserId`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Charge

          public Charge()

    - #### Charge

          public Charge(int id,
                        int userId,
                        int contractId,
                        int typeId,
                        java.util.Date date,
                        java.lang.String comment,
                        java.math.BigDecimal sum,
                        java.util.Date timeChange)

  - ### Method Detail

    - #### clone

          public Charge clone()
                       throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractBalanceBean`

    - #### isPayback

          public boolean isPayback()

      Returns:
        если данный расход является возвратом = true;

    - #### setPayback

          public void setPayback(boolean payback)

      Установка, является ли данный расход возвратом.
      Parameters:
        `payback` - - true если возврат

    - #### setChargeDate

          @Deprecated
          public void setChargeDate(java.util.Date date)

      Deprecated.
      Устанавливает дату расхода. Утарел использовать `AbstractBalanceBean.setDate(Date)`
      Parameters:
        `date` -